function multiply(x: number, y: number): number {

    if (y < 0) {
        x = -x;
        y = -y;
    }
    
    let result = 0;

    for (let i = 0; i < y; i++) {
        result += x;
    }
    return result;
}


function testMultiply() {
    const testCases = [
        [0, 0], [5, 3], [3, 5], [-5, -2], [-2, -5], 
        [-74, 2], [-1, 75], [10, -25], [10, -3]
    ];
    
    for (const [x, y] of testCases) {
        console.log(`multiply(${x}, ${y}) = ${multiply(x, y)}`);
    }
}

testMultiply();